/// <reference types="styled-components-react-native" />
import React from "react";
import { TouchableOpacityProps } from "react-native";
export type CardProps = TouchableOpacityProps & {
    title?: string;
    onPressDismiss?: () => void;
    LeftElement?: JSX.Element;
    LeftElementNotCirlcled?: boolean;
    typeOfRightIcon: "arrow" | "close";
};
type CloseProps = {
    onPressDismiss?: () => void;
};
export declare const Container: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<TouchableOpacityProps & React.RefAttributes<import("react-native").View>>, import("styled-components").DefaultTheme, {}, never>;
export declare const CloseContainer: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<TouchableOpacityProps & React.RefAttributes<import("react-native").View>>, import("styled-components").DefaultTheme, {}, never>;
export declare const ChevronContainer: import("styled-components").StyledComponent<typeof import("react-native").View, import("styled-components").DefaultTheme, import("../../styled").BaseStyledProps, never>;
export declare const CloseButton: ({ onPressDismiss }: CloseProps) => React.JSX.Element;
declare const BannerCard: (props: CardProps) => React.ReactElement;
export default BannerCard;
//# sourceMappingURL=index.d.ts.map