import React, { type ReactNode } from "react";
import * as Icons from "@ledgerhq/icons-ui/native";
import type { BaseStyledProps } from "../../styled";
type Props = BaseStyledProps & Readonly<{
    title?: string;
    description: string;
    cta: ReactNode;
    icon: keyof typeof Icons;
    hasExternalLinkIcon?: boolean;
    unread?: boolean;
    onPress: () => void;
}>;
export default function NewBannerCard({ title, description, cta, icon, hasExternalLinkIcon, unread, onPress, p, borderRadius, ...styledProps }: Props): React.JSX.Element;
export {};
//# sourceMappingURL=index.d.ts.map