/// <reference types="styled-components-react-native" />
import React from "react";
import { TouchableOpacityProps, Image } from "react-native";
export type CardProps = TouchableOpacityProps & {
    tag?: string;
    title?: string;
    cta?: string;
    imageUrl?: string;
    onPressDismiss?: () => void;
};
export declare const Base: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<TouchableOpacityProps & React.RefAttributes<import("react-native").View>>, import("styled-components").DefaultTheme, {}, never>;
export declare const Container: import("styled-components").StyledComponent<typeof import("react-native").View, import("styled-components").DefaultTheme, import("../../styled").BaseStyledProps, never>;
export declare const ImageContainer: import("styled-components").StyledComponent<typeof import("react-native").View, import("styled-components").DefaultTheme, import("../../styled").BaseStyledProps, never>;
export declare const ImageContent: import("styled-components").StyledComponent<typeof Image, import("styled-components").DefaultTheme, {}, never>;
export declare const CloseContainer: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<TouchableOpacityProps & React.RefAttributes<import("react-native").View>>, import("styled-components").DefaultTheme, {}, never>;
export declare const CloseButton: (props: CardProps) => React.JSX.Element;
declare const SideImageCard: (props: CardProps) => React.ReactElement;
export default SideImageCard;
//# sourceMappingURL=index.d.ts.map