import React from "react";
import Input, { InputRenderRightContainer } from "../BaseInput";
import Text from "../../../Text";
function LegendInput({ legend, ...inputProps }, ref) {
    return (React.createElement(Input, { ref: ref, ...inputProps, renderRight: React.createElement(InputRenderRightContainer, null,
            React.createElement(Text, { color: "neutral.c70", variant: "body" }, legend)) }));
}
export default React.forwardRef(LegendInput);
