import React from "react";
import { TextInput } from "react-native";
import { GestureResponderEvent } from "react-native";
import { InputProps } from "../BaseInput";
declare const _default: React.ForwardRefExoticComponent<Omit<import("../BaseInput").CommonProps, "onChange" | "value"> & {
    value: string;
    renderLeft?: React.ReactNode | ((props: InputProps<string>, ref: React.RefObject<{
        clear: () => void;
    }>) => React.ReactNode);
    renderRight?: React.ReactNode | ((props: InputProps<string>, ref: React.RefObject<{
        clear: () => void;
    }>) => React.ReactNode);
    onChange?: ((value: string) => void) | undefined;
    onChangeEvent?: ((e: import("react-native").NativeSyntheticEvent<import("react-native").TextInputChangeEventData>) => void) | undefined;
    serialize?: ((value: string) => string) | undefined;
    deserialize?: ((value: string) => string) | undefined;
    containerStyle?: import("react-native").StyleProp<import("react-native").ViewStyle>;
    inputContainerStyle?: (import("react-native").StyleProp<import("react-native").ViewStyle> & import("react-native").TextStyle) | undefined;
    baseInputContainerStyle?: import("react-native").TextStyle | undefined;
    inputErrorContainerStyles?: import("react-native").StyleProp<import("react-native").ViewStyle>;
    inputErrorColor?: string | undefined;
    showErrorIcon?: boolean | undefined;
    hasBorder?: boolean | undefined;
    color?: string | undefined;
} & {
    onQrCodeClick?: ((event: GestureResponderEvent) => void) | undefined;
} & React.RefAttributes<TextInput>>;
export default _default;
//# sourceMappingURL=index.d.ts.map