/// <reference types="react" />
type TabSelectorProps<T extends string> = {
    labels: {
        id: T;
        value: string;
    }[];
    initialTab?: T extends infer K ? K : never;
    onToggle: (value: T) => void;
    filledVariant?: boolean;
};
export default function TabSelector<T extends string>({ labels, initialTab, onToggle, filledVariant, }: TabSelectorProps<T>): JSX.Element;
export {};
//# sourceMappingURL=index.d.ts.map