import React from "react";
import { IconOrElementType } from "../type";
import { FlexBoxProps } from "../../Layout/Flex";
export type Props = {
    Icon: IconOrElementType;
    color?: string;
    boxSize?: number;
    iconSize?: number;
    /**
     * Additional props to pass to the container component.
     * This component is a Flex element.
     */
    iconContainerProps?: FlexBoxProps;
};
export default function IconBox({ Icon, color, boxSize, iconSize, iconContainerProps, }: Props): React.ReactElement;
//# sourceMappingURL=index.d.ts.map