import React from "react";
import { BaseListItemProps, BaseListProps } from "../List";
export type NumberedListItemProps = Omit<BaseListItemProps, "bullet"> & {
    number?: number;
};
export type NumberedListProps = Omit<BaseListProps, "items"> & {
    items: NumberedListItemProps[];
};
export default function NumberedList({ items, ...props }: NumberedListProps): React.ReactElement;
//# sourceMappingURL=index.d.ts.map