import React from "react";
import { SpaceProps } from "styled-system";
import { BaseStyledProps } from "../../styled";
import type { NativeSyntheticEvent, NativeScrollEvent, ScrollViewProps } from "react-native";
type ScrollContainerProps = BaseStyledProps & ScrollViewProps & SpaceProps & {
    children: React.ReactNode;
    onScroll?: (event: NativeSyntheticEvent<NativeScrollEvent>) => void;
    horizontal?: boolean;
};
declare const ScrollContainer: ({ children, onScroll, horizontal, ...props }: ScrollContainerProps) => JSX.Element;
export default ScrollContainer;
//# sourceMappingURL=index.d.ts.map