import React from "react";
import { space } from "styled-system";
import baseStyled from "../../styled";
import Animated from "react-native-reanimated";
const ScrollView = baseStyled(Animated.ScrollView) `
  ${space};
`;
const ScrollContainer = ({ children, onScroll, horizontal = false, ...props }) => (React.createElement(ScrollView, { ...props, onScroll: onScroll, horizontal: horizontal }, children));
export default ScrollContainer;
