import React from "react";
import { FlexBoxProps } from "../../Layout/Flex";
export interface StoryBarProps {
    /**
     * Is this step active.
     */
    isActive?: boolean;
    /**
     * Has this step been completed.
     */
    full?: boolean;
    /**
     * The duration of this step.
     */
    duration?: number;
}
export interface StoriesIndicatorProps extends FlexBoxProps {
    /**
     * The index of the active step.
     */
    activeIndex: number;
    /**
     * The total number of steps.
     */
    slidesLength: number;
    onChange?: (index: number) => void;
    /**
     * The duration of each step.
     */
    duration?: number;
}
declare function StoriesIndicator({ activeIndex, slidesLength, duration }: StoriesIndicatorProps): React.JSX.Element;
declare const _default: React.MemoExoticComponent<typeof StoriesIndicator>;
export default _default;
//# sourceMappingURL=index.d.ts.map