import React from "react";
import { FlexBoxProps } from "../Layout/Flex";
import { BaseStyledProps } from "../styled";
export interface Props extends FlexBoxProps {
    /**
     * The index of the active step.
     */
    index: number;
    /**
     * The total number of steps.
     */
    length: number;
    /**
     * Style props for the bar element.
     */
    activeBarProps?: BaseStyledProps;
}
declare function ProgressBar({ index, length, activeBarProps, ...props }: Props): React.JSX.Element;
declare const _default: React.MemoExoticComponent<typeof ProgressBar>;
export default _default;
//# sourceMappingURL=index.d.ts.map