import { Theme } from "../../../styles/theme";
import { ButtonProps } from "./index";
export declare function getButtonColors(colors: Theme["colors"]): {
    [index: string]: {
        primaryColor: string;
        secondaryColor: string;
        tertiaryColor?: string;
        pressedColor?: string;
        pressedOutlineColor?: string;
    };
};
export declare function getButtonColorStyle(colors: Theme["colors"], props: ButtonProps): {
    text: {
        color: string;
    };
    button: {
        backgroundColor: string;
        borderColor?: string;
        borderWidth?: number;
    };
};
export declare const buttonSizeStyle: {
    [index: string]: {
        padding: string;
        height: string;
    };
};
//# sourceMappingURL=getButtonStyle.d.ts.map