import React from "react";
import Divider from "../../Layout/Divider";
import Flex from "../../Layout/Flex";
import Text from "../../Text";
const ContinueOnDevice = ({ Icon, text, withTopDivider = true }) => {
    return (React.createElement(Flex, null,
        withTopDivider ? React.createElement(Divider, { my: 6 }) : null,
        React.createElement(Flex, { flexDirection: "row", alignItems: "center", flexShrink: 1 },
            React.createElement(Icon, { size: 48 }),
            React.createElement(Text, { flex: 1, pl: 4, flexWrap: "wrap", variant: "body", fontWeight: "medium", color: "neutral.c100" }, text))));
};
export default ContinueOnDevice;
