import React from "react";
import { FlexBoxProps } from "../../Layout/Flex";
import { ViewStyle } from "react-native";
type BracketProps = {
    color: string;
};
type BaseBracketProps = FlexBoxProps & BracketProps & {
    style?: ViewStyle;
};
export declare const Bracket: ({ color, style, mb, mt }: BaseBracketProps) => React.ReactElement;
export declare const BracketTopLeft: ({ color }: BracketProps) => React.JSX.Element;
export declare const BracketTopRight: ({ color }: BracketProps) => React.JSX.Element;
export declare const BracketBottomLeft: ({ color }: BracketProps) => React.JSX.Element;
export declare const BracketBottomRight: ({ color }: BracketProps) => React.JSX.Element;
export {};
//# sourceMappingURL=Brackets.d.ts.map