import React from "react";
import { TextProps, TouchableOpacityProps } from "react-native";
type NotificationVariant = "primary" | "secondary" | "success" | "warning" | "error" | "plain" | string;
type Props = {
    Icon?: React.ComponentType<{
        size: number;
        color?: string;
    }>;
    iconColor?: string;
    variant?: NotificationVariant;
    title: string;
    subtitle?: string;
    numberOfLines?: TextProps["numberOfLines"];
    onClose?: TouchableOpacityProps["onPress"];
    linkText?: string;
    onLinkPress?: TouchableOpacityProps["onPress"];
};
export default function Notification({ Icon, iconColor, variant, numberOfLines, title, subtitle, onClose, linkText, onLinkPress, }: Props): React.ReactElement;
export {};
//# sourceMappingURL=index.d.ts.map