import React from "react";
import { FlexBoxProps } from "../../Layout/Flex";
import { IconType } from "../../Icon/type";
export interface TagProps extends FlexBoxProps {
    type?: "shade" | "color" | "warning";
    size?: "small" | "medium";
    color?: string;
    textColor?: string;
    Icon?: IconType;
    uppercase?: boolean;
    children?: React.ReactNode;
    numberOfLines?: number;
    ellipsizeMode?: "head" | "middle" | "tail" | "clip";
}
export default function Tag({ type, size, color, textColor, uppercase, Icon, children, numberOfLines, ellipsizeMode, ...props }: TagProps): JSX.Element;
//# sourceMappingURL=index.d.ts.map