import React from "react";
import { TransitionProps } from "./types";
export interface FadeProps extends TransitionProps {
    /**
     * Delay before starting the transition.
     */
    delay?: number;
}
/**
 * A fade-in / fade-out transition changing the opacity of its children based on their status.
 */
export declare function Fade({ status, delay, duration, style, children }: FadeProps): React.JSX.Element;
//# sourceMappingURL=Fade.d.ts.map