import React from "react";
import { Text } from "../../index";
function highlight(text, variant) {
    const textSplitted = text
        .replace(/&lt;/g, "<")
        .replace(/&gt;/g, ">")
        .split(/<bold>(.*?)<\/bold>/g);
    const elems = [];
    textSplitted.forEach((w, index) => {
        if (index % 2 !== 0) {
            const word = w.replace(/<bold>(.*?)<\/bold>/g, "$1");
            elems.push(React.createElement(Text, { key: "highlighted_" + index, variant: variant, fontWeight: "semiBold", color: "primary.c80" }, word));
        }
        else {
            elems.push(w);
        }
    });
    return elems;
}
export { highlight };
