import { Theme } from "src/styles/theme";
export type CbThemeType = {
    theme: Theme;
};
export declare const inputStatusColors: {
    default: ({ theme }: CbThemeType) => string;
    focused: ({ theme }: CbThemeType) => string;
    filled: ({ theme }: CbThemeType) => string;
    error: ({ theme }: CbThemeType) => string;
};
export declare const inputTextColor: {
    default: ({ theme }: CbThemeType) => string;
    focused: ({ theme }: CbThemeType) => string;
    filled: ({ theme }: CbThemeType) => string;
    error: ({ theme }: CbThemeType) => string;
};
export declare const inputBackgroundColor: {
    default: ({ theme }: CbThemeType) => string;
    focused: ({ theme }: CbThemeType) => string;
    filled: ({ theme }: CbThemeType) => string;
    error: ({ theme }: CbThemeType) => string;
};
type getInputStatusProps = {
    focused?: boolean;
    hasValue?: boolean;
    hasError?: boolean;
};
export declare const getInputStatus: ({ focused, hasValue, hasError }: getInputStatusProps) => "error" | "default" | "focused" | "filled";
export {};
//# sourceMappingURL=inputTextColor.d.ts.map