export const inputStatusColors = {
    default: ({ theme }) => theme.colors.opacityDefault.c50,
    focused: ({ theme }) => theme.colors.primary.c80,
    filled: ({ theme }) => theme.colors.neutral.c60,
    error: ({ theme }) => theme.colors.error.c50,
};
export const inputTextColor = {
    default: ({ theme }) => theme.colors.opacityDefault.c70,
    focused: ({ theme }) => theme.colors.neutral.c100,
    filled: ({ theme }) => theme.colors.neutral.c100,
    error: ({ theme }) => theme.colors.neutral.c100,
};
export const inputBackgroundColor = {
    default: ({ theme }) => theme.colors.background.main,
    focused: ({ theme }) => theme.colors.background.main,
    filled: ({ theme }) => theme.colors.background.main,
    error: ({ theme }) => theme.colors.background.main,
};
export const getInputStatus = ({ focused, hasValue, hasError }) => {
    if (hasError)
        return "error";
    if (focused)
        return "focused";
    if (hasValue)
        return "filled";
    return "default";
};
