import { NativeSyntheticEvent, TextInputFocusEventData } from "react-native";
type useAnimatedInputFocusProps = {
    onFocusCallback?: (e: NativeSyntheticEvent<TextInputFocusEventData>) => TextInputFocusEventData | void;
    onBlurCallback?: (e: NativeSyntheticEvent<TextInputFocusEventData>) => TextInputFocusEventData | void;
};
export declare const useAnimatedInputFocus: ({ onFocusCallback, onBlurCallback, }: useAnimatedInputFocusProps) => {
    onFocus: (e: NativeSyntheticEvent<TextInputFocusEventData>) => void;
    onBlur: (e: NativeSyntheticEvent<TextInputFocusEventData>) => void;
    focused: boolean;
};
export {};
//# sourceMappingURL=useAnimatedInputFocus.d.ts.map