/// <reference types="react" />
import { SwitchProps as NativeSwitchProps } from "react-native";
export type SwitchProps = {
    checked: boolean;
    onChange?: (value: boolean) => void;
    disabled?: boolean;
    label?: string;
    testID?: string;
} & Omit<Partial<NativeSwitchProps>, "onChange">;
declare const Switch: ({ checked, onChange, disabled, label, testID }: SwitchProps) => JSX.Element;
export default Switch;
//# sourceMappingURL=index.d.ts.map