import React from "react";
import Flex from "../Flex";
import styled from "styled-components/native";
import { Text } from "../../..";
const DividerBase = styled(Flex).attrs((p) => ({
    my: p.my || 4,
    height: 1,
    backgroundColor: "neutral.c40",
})) ``;
const Divider = (props) => {
    if (!props.text)
        return React.createElement(DividerBase, { ...props });
    return (React.createElement(Flex, { ...props, flexDirection: "row", alignItems: "center" },
        React.createElement(DividerBase, { flex: 1 }),
        React.createElement(Text, { variant: "bodyLineHeight", color: "neutral.c60", mx: 6 }, props.text),
        React.createElement(DividerBase, { flex: 1 })));
};
export default Divider;
