import React from "react";
import { BaseListItemProps, BaseListProps } from "../List";
import { IconOrElementType } from "src/components/Icon/type";
export type IconBoxListItemProps = Omit<BaseListItemProps, "bullet"> & {
    Icon: IconOrElementType;
};
export type IconBoxListProps = Omit<BaseListProps, "items"> & {
    items: IconBoxListItemProps[];
    iconVariants?: "outlined" | "plain";
    iconShapes?: "square" | "circle";
};
export default function IconBoxList({ items, iconVariants, iconShapes, ...props }: IconBoxListProps): React.ReactElement;
//# sourceMappingURL=index.d.ts.map