import React from "react";
import type { FlexBoxProps } from "../../Flex";
import { BaseStyledProps } from "../../../styled";
export type BaseListItemProps = {
    title?: React.ReactNode;
    description?: React.ReactNode;
    bullet?: React.ReactNode;
};
export type BaseListProps = {
    items: BaseListItemProps[];
    itemContainerProps?: BaseStyledProps;
} & Partial<FlexBoxProps>;
export declare const ListItem: ({ title, description, bullet, ...props }: BaseStyledProps & BaseListItemProps) => React.ReactElement;
export default function List({ items, itemContainerProps, ...props }: BaseListProps): React.ReactElement;
//# sourceMappingURL=index.d.ts.map