import React from "react";
export type StepperProps = {
    /**
     * An array of labels that will determine the progress bar steps.
     */
    steps: string[];
    /**
     * Index of the active step, starting at zero and defaulting to 0 if omitted.
     */
    activeIndex?: number;
    /**
     * If true the current step is considered as a failure.
     */
    errored?: boolean;
};
declare function Stepper({ steps, activeIndex, errored }: StepperProps): React.ReactElement;
export default Stepper;
//# sourceMappingURL=index.d.ts.map