import { TextVariants } from "../../styles/theme";
import { BaseTextProps } from "./index";
export type FontWeightTypes = "medium" | "semiBold" | "bold";
export declare const fontWeightTypes: FontWeightTypes[];
export declare function getBracketSize({ variant }: {
    variant?: TextVariants;
}): number;
export declare function getTextTypeStyle({ bracket }: {
    bracket?: boolean;
}): Record<TextVariants, {
    fontFamily: string;
    lineHeight?: string;
    paddingTop?: number;
    textTransform?: string;
    letterSpacing?: number;
}>;
export declare function getTextStyle({ variant, bracket, fontWeight, }: Partial<BaseTextProps>): {
    fontFamily: string;
    lineHeight?: string;
    paddingTop?: number;
};
//# sourceMappingURL=getTextStyle.d.ts.map