/// <reference types="styled-components-react-native" />
import React from "react";
import { TouchableOpacityProps } from "react-native";
export type LinkProps = TouchableOpacityProps & {
    Icon?: React.ComponentType<{
        size: number;
        color: string;
    }>;
    type?: "main" | "shade" | "color";
    size?: "small" | "medium" | "large";
    iconPosition?: "right" | "left";
    disabled?: boolean;
    reversed?: boolean;
    children?: React.ReactNode;
    numberOfLines?: number;
};
export declare const Base: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<TouchableOpacityProps & React.RefAttributes<import("react-native").View>>, import("styled-components").DefaultTheme, {}, never>;
declare const Link: (props: LinkProps) => React.ReactElement;
export default Link;
//# sourceMappingURL=index.d.ts.map