import React from "react";
import { TouchableOpacityProps } from "react-native";
import { IconType } from "src/components/Icon/type";
import { BaseStyledProps } from "../../../styled";
import { TextVariants } from "../../../../styles/theme";
type Variant = "small" | "large";
export type QuickActionButtonProps = TouchableOpacityProps & BaseStyledProps & {
    Icon: IconType;
    disabled?: boolean;
    onPressWhenDisabled?: TouchableOpacityProps["onPress"];
    textVariant?: TextVariants;
    variant?: Variant;
    isActive?: boolean;
};
export declare const StyledText: import("styled-components").StyledComponent<({ children, bracket, textAlign, testID, ...props }: import("../../../Text").BaseTextProps) => React.JSX.Element, import("styled-components").DefaultTheme, {}, never>;
export declare const Base: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<TouchableOpacityProps & React.RefAttributes<import("react-native").View>>, import("styled-components").DefaultTheme, TouchableOpacityProps & {
    visuallyDisabled?: boolean | undefined;
    variant: Variant;
    isActive?: boolean | undefined;
}, never>;
declare const QuickActionButton: ({ Icon, children, disabled, onPress, onPressWhenDisabled, textVariant, variant, testID, isActive, ...otherProps }: QuickActionButtonProps) => React.ReactElement;
export default QuickActionButton;
//# sourceMappingURL=index.d.ts.map