/// <reference types="styled-components-react-native" />
import { ReactNativeStyledInterface, DefaultTheme } from "styled-components/native";
import { FlexboxProps, SpaceProps, PositionProps, ColorProps, LayoutProps, OverflowProps, BorderProps, BackgroundProps } from "styled-system";
import { InterpolationFunction } from "styled-components";
export type BaseStyledProps = SpaceProps & FlexboxProps & PositionProps & ColorProps & LayoutProps & OverflowProps & BorderProps & BackgroundProps & {
    columnGap?: string | number;
    rowGap?: string | number;
    color?: string;
    display?: string;
    position?: string;
    maxHeight?: string | number;
};
export declare const baseStyles: InterpolationFunction<unknown>;
declare const _default: ReactNativeStyledInterface<DefaultTheme>;
export default _default;
//# sourceMappingURL=styled.d.ts.map