import React from "react";
import { TransitionProps } from "./types";
export interface SlideProps extends TransitionProps {
    /**
     * The direction of the slide animation.
     */
    direction?: "left" | "right";
}
/**
 * A slide left/right transition translating its children based on their status and a given direction.
 */
export declare function Slide({ status, duration, style, direction, children }: SlideProps): React.JSX.Element;
//# sourceMappingURL=Slide.d.ts.map